io.agora.rtc

## Class ChannelMediaInfo

- java.lang.Object
- - io.agora.rtc.ChannelMediaInfo

-     public class ChannelMediaInfo
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `channelName`
    `private java.lang.String` | `token`
    `private int` | `uid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelMediaInfo()`
    `ChannelMediaInfo(java.lang.String channelName, java.lang.String token, int uid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChannelName()`
    `java.lang.String` | `getToken()`
    `int` | `getUid()`
    `void` | `setChannelName(java.lang.String channelName)`
    `void` | `setToken(java.lang.String token)`
    `void` | `setUid(int uid)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### channelName

          private java.lang.String channelName

    - #### token

          private java.lang.String token

    - #### uid

          private int uid

  - ### Constructor Detail

    - #### ChannelMediaInfo

          public ChannelMediaInfo()

    - #### ChannelMediaInfo

          public ChannelMediaInfo(java.lang.String channelName,
                                  java.lang.String token,
                                  int uid)

  - ### Method Detail

    - #### getChannelName

          public java.lang.String getChannelName()

    - #### setChannelName

          public void setChannelName(java.lang.String channelName)

    - #### getToken

          public java.lang.String getToken()

    - #### setToken

          public void setToken(java.lang.String token)

    - #### getUid

          public int getUid()

    - #### setUid

          public void setUid(int uid)